Lua 5.3 compatibility problem

Issue #80 on hold
traits
created an issue

When calling

lua.exe LoadGen.lua -style=noload_c -spec=gl -version=3.3 -profile=core core_3_3 

I get the following:

lua.exe: ./modules/Structure.lua:135: attempt to call a nil value (global 'unpack')

This seems to be a backward compatibility issue with my lua version 5.3. The recommended workaround advises to include something like

local unpack = table.unpack 

into the users sources. This didn't work for me in LoadGen.lua or as a command line statement for the interpreter (I'm no Lua expert)

Comments (1)

  1. Log in to comment